Keepa Product Finder
curl --request POST \
--url https://api.aisa.one/apis/v1/keepa/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand": [
"<string>"
],
"categories_exclude": [
4503599627370495
],
"categories_include": [
4503599627370495
],
"color": [
"<string>"
],
"current_AMAZON_gte": 1073741823,
"current_AMAZON_lte": 1073741823,
"current_COUNT_REVIEWS_gte": 1073741823,
"current_COUNT_REVIEWS_lte": 1073741823,
"current_NEW_gte": 1073741823,
"current_NEW_lte": 1073741823,
"current_RATING_gte": 1073741823,
"current_RATING_lte": 1073741823,
"current_SALES_gte": 1073741823,
"current_SALES_lte": 1073741823,
"hasParentASIN": true,
"hasReviews": true,
"manufacturer": [
"<string>"
],
"model": [
"<string>"
],
"productType": 2,
"rootCategory": [
4503599627370495
],
"singleVariation": true,
"size": [
"<string>"
],
"title": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/keepa/query"
payload = {
"brand": ["<string>"],
"categories_exclude": [4503599627370495],
"categories_include": [4503599627370495],
"color": ["<string>"],
"current_AMAZON_gte": 1073741823,
"current_AMAZON_lte": 1073741823,
"current_COUNT_REVIEWS_gte": 1073741823,
"current_COUNT_REVIEWS_lte": 1073741823,
"current_NEW_gte": 1073741823,
"current_NEW_lte": 1073741823,
"current_RATING_gte": 1073741823,
"current_RATING_lte": 1073741823,
"current_SALES_gte": 1073741823,
"current_SALES_lte": 1073741823,
"hasParentASIN": True,
"hasReviews": True,
"manufacturer": ["<string>"],
"model": ["<string>"],
"productType": 2,
"rootCategory": [4503599627370495],
"singleVariation": True,
"size": ["<string>"],
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand: ['<string>'],
categories_exclude: [4503599627370495],
categories_include: [4503599627370495],
color: ['<string>'],
current_AMAZON_gte: 1073741823,
current_AMAZON_lte: 1073741823,
current_COUNT_REVIEWS_gte: 1073741823,
current_COUNT_REVIEWS_lte: 1073741823,
current_NEW_gte: 1073741823,
current_NEW_lte: 1073741823,
current_RATING_gte: 1073741823,
current_RATING_lte: 1073741823,
current_SALES_gte: 1073741823,
current_SALES_lte: 1073741823,
hasParentASIN: true,
hasReviews: true,
manufacturer: ['<string>'],
model: ['<string>'],
productType: 2,
rootCategory: [4503599627370495],
singleVariation: true,
size: ['<string>'],
title: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/keepa/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/keepa/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'brand' => [
'<string>'
],
'categories_exclude' => [
4503599627370495
],
'categories_include' => [
4503599627370495
],
'color' => [
'<string>'
],
'current_AMAZON_gte' => 1073741823,
'current_AMAZON_lte' => 1073741823,
'current_COUNT_REVIEWS_gte' => 1073741823,
'current_COUNT_REVIEWS_lte' => 1073741823,
'current_NEW_gte' => 1073741823,
'current_NEW_lte' => 1073741823,
'current_RATING_gte' => 1073741823,
'current_RATING_lte' => 1073741823,
'current_SALES_gte' => 1073741823,
'current_SALES_lte' => 1073741823,
'hasParentASIN' => true,
'hasReviews' => true,
'manufacturer' => [
'<string>'
],
'model' => [
'<string>'
],
'productType' => 2,
'rootCategory' => [
4503599627370495
],
'singleVariation' => true,
'size' => [
'<string>'
],
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/keepa/query"
payload := strings.NewReader("{\n \"brand\": [\n \"<string>\"\n ],\n \"categories_exclude\": [\n 4503599627370495\n ],\n \"categories_include\": [\n 4503599627370495\n ],\n \"color\": [\n \"<string>\"\n ],\n \"current_AMAZON_gte\": 1073741823,\n \"current_AMAZON_lte\": 1073741823,\n \"current_COUNT_REVIEWS_gte\": 1073741823,\n \"current_COUNT_REVIEWS_lte\": 1073741823,\n \"current_NEW_gte\": 1073741823,\n \"current_NEW_lte\": 1073741823,\n \"current_RATING_gte\": 1073741823,\n \"current_RATING_lte\": 1073741823,\n \"current_SALES_gte\": 1073741823,\n \"current_SALES_lte\": 1073741823,\n \"hasParentASIN\": true,\n \"hasReviews\": true,\n \"manufacturer\": [\n \"<string>\"\n ],\n \"model\": [\n \"<string>\"\n ],\n \"productType\": 2,\n \"rootCategory\": [\n 4503599627370495\n ],\n \"singleVariation\": true,\n \"size\": [\n \"<string>\"\n ],\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/keepa/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"brand\": [\n \"<string>\"\n ],\n \"categories_exclude\": [\n 4503599627370495\n ],\n \"categories_include\": [\n 4503599627370495\n ],\n \"color\": [\n \"<string>\"\n ],\n \"current_AMAZON_gte\": 1073741823,\n \"current_AMAZON_lte\": 1073741823,\n \"current_COUNT_REVIEWS_gte\": 1073741823,\n \"current_COUNT_REVIEWS_lte\": 1073741823,\n \"current_NEW_gte\": 1073741823,\n \"current_NEW_lte\": 1073741823,\n \"current_RATING_gte\": 1073741823,\n \"current_RATING_lte\": 1073741823,\n \"current_SALES_gte\": 1073741823,\n \"current_SALES_lte\": 1073741823,\n \"hasParentASIN\": true,\n \"hasReviews\": true,\n \"manufacturer\": [\n \"<string>\"\n ],\n \"model\": [\n \"<string>\"\n ],\n \"productType\": 2,\n \"rootCategory\": [\n 4503599627370495\n ],\n \"singleVariation\": true,\n \"size\": [\n \"<string>\"\n ],\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/keepa/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brand\": [\n \"<string>\"\n ],\n \"categories_exclude\": [\n 4503599627370495\n ],\n \"categories_include\": [\n 4503599627370495\n ],\n \"color\": [\n \"<string>\"\n ],\n \"current_AMAZON_gte\": 1073741823,\n \"current_AMAZON_lte\": 1073741823,\n \"current_COUNT_REVIEWS_gte\": 1073741823,\n \"current_COUNT_REVIEWS_lte\": 1073741823,\n \"current_NEW_gte\": 1073741823,\n \"current_NEW_lte\": 1073741823,\n \"current_RATING_gte\": 1073741823,\n \"current_RATING_lte\": 1073741823,\n \"current_SALES_gte\": 1073741823,\n \"current_SALES_lte\": 1073741823,\n \"hasParentASIN\": true,\n \"hasReviews\": true,\n \"manufacturer\": [\n \"<string>\"\n ],\n \"model\": [\n \"<string>\"\n ],\n \"productType\": 2,\n \"rootCategory\": [\n 4503599627370495\n ],\n \"singleVariation\": true,\n \"size\": [\n \"<string>\"\n ],\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"tokensConsumed": 1,
"asinList": [
"<string>"
],
"error": {},
"refillIn": 123,
"refillRate": 123,
"tokenFlowReduction": 123,
"tokensLeft": 123,
"totalResults": 1
}Keepa
Keepa Product Finder
Keepa Product Finder. Token usage is settled from the response using the account’s immutable rate.
POST
https://api.aisa.one
/
apis
/
v1
/
keepa
/
query
Keepa Product Finder
curl --request POST \
--url https://api.aisa.one/apis/v1/keepa/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brand": [
"<string>"
],
"categories_exclude": [
4503599627370495
],
"categories_include": [
4503599627370495
],
"color": [
"<string>"
],
"current_AMAZON_gte": 1073741823,
"current_AMAZON_lte": 1073741823,
"current_COUNT_REVIEWS_gte": 1073741823,
"current_COUNT_REVIEWS_lte": 1073741823,
"current_NEW_gte": 1073741823,
"current_NEW_lte": 1073741823,
"current_RATING_gte": 1073741823,
"current_RATING_lte": 1073741823,
"current_SALES_gte": 1073741823,
"current_SALES_lte": 1073741823,
"hasParentASIN": true,
"hasReviews": true,
"manufacturer": [
"<string>"
],
"model": [
"<string>"
],
"productType": 2,
"rootCategory": [
4503599627370495
],
"singleVariation": true,
"size": [
"<string>"
],
"title": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/keepa/query"
payload = {
"brand": ["<string>"],
"categories_exclude": [4503599627370495],
"categories_include": [4503599627370495],
"color": ["<string>"],
"current_AMAZON_gte": 1073741823,
"current_AMAZON_lte": 1073741823,
"current_COUNT_REVIEWS_gte": 1073741823,
"current_COUNT_REVIEWS_lte": 1073741823,
"current_NEW_gte": 1073741823,
"current_NEW_lte": 1073741823,
"current_RATING_gte": 1073741823,
"current_RATING_lte": 1073741823,
"current_SALES_gte": 1073741823,
"current_SALES_lte": 1073741823,
"hasParentASIN": True,
"hasReviews": True,
"manufacturer": ["<string>"],
"model": ["<string>"],
"productType": 2,
"rootCategory": [4503599627370495],
"singleVariation": True,
"size": ["<string>"],
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand: ['<string>'],
categories_exclude: [4503599627370495],
categories_include: [4503599627370495],
color: ['<string>'],
current_AMAZON_gte: 1073741823,
current_AMAZON_lte: 1073741823,
current_COUNT_REVIEWS_gte: 1073741823,
current_COUNT_REVIEWS_lte: 1073741823,
current_NEW_gte: 1073741823,
current_NEW_lte: 1073741823,
current_RATING_gte: 1073741823,
current_RATING_lte: 1073741823,
current_SALES_gte: 1073741823,
current_SALES_lte: 1073741823,
hasParentASIN: true,
hasReviews: true,
manufacturer: ['<string>'],
model: ['<string>'],
productType: 2,
rootCategory: [4503599627370495],
singleVariation: true,
size: ['<string>'],
title: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/keepa/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/keepa/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'brand' => [
'<string>'
],
'categories_exclude' => [
4503599627370495
],
'categories_include' => [
4503599627370495
],
'color' => [
'<string>'
],
'current_AMAZON_gte' => 1073741823,
'current_AMAZON_lte' => 1073741823,
'current_COUNT_REVIEWS_gte' => 1073741823,
'current_COUNT_REVIEWS_lte' => 1073741823,
'current_NEW_gte' => 1073741823,
'current_NEW_lte' => 1073741823,
'current_RATING_gte' => 1073741823,
'current_RATING_lte' => 1073741823,
'current_SALES_gte' => 1073741823,
'current_SALES_lte' => 1073741823,
'hasParentASIN' => true,
'hasReviews' => true,
'manufacturer' => [
'<string>'
],
'model' => [
'<string>'
],
'productType' => 2,
'rootCategory' => [
4503599627370495
],
'singleVariation' => true,
'size' => [
'<string>'
],
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/keepa/query"
payload := strings.NewReader("{\n \"brand\": [\n \"<string>\"\n ],\n \"categories_exclude\": [\n 4503599627370495\n ],\n \"categories_include\": [\n 4503599627370495\n ],\n \"color\": [\n \"<string>\"\n ],\n \"current_AMAZON_gte\": 1073741823,\n \"current_AMAZON_lte\": 1073741823,\n \"current_COUNT_REVIEWS_gte\": 1073741823,\n \"current_COUNT_REVIEWS_lte\": 1073741823,\n \"current_NEW_gte\": 1073741823,\n \"current_NEW_lte\": 1073741823,\n \"current_RATING_gte\": 1073741823,\n \"current_RATING_lte\": 1073741823,\n \"current_SALES_gte\": 1073741823,\n \"current_SALES_lte\": 1073741823,\n \"hasParentASIN\": true,\n \"hasReviews\": true,\n \"manufacturer\": [\n \"<string>\"\n ],\n \"model\": [\n \"<string>\"\n ],\n \"productType\": 2,\n \"rootCategory\": [\n 4503599627370495\n ],\n \"singleVariation\": true,\n \"size\": [\n \"<string>\"\n ],\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/keepa/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"brand\": [\n \"<string>\"\n ],\n \"categories_exclude\": [\n 4503599627370495\n ],\n \"categories_include\": [\n 4503599627370495\n ],\n \"color\": [\n \"<string>\"\n ],\n \"current_AMAZON_gte\": 1073741823,\n \"current_AMAZON_lte\": 1073741823,\n \"current_COUNT_REVIEWS_gte\": 1073741823,\n \"current_COUNT_REVIEWS_lte\": 1073741823,\n \"current_NEW_gte\": 1073741823,\n \"current_NEW_lte\": 1073741823,\n \"current_RATING_gte\": 1073741823,\n \"current_RATING_lte\": 1073741823,\n \"current_SALES_gte\": 1073741823,\n \"current_SALES_lte\": 1073741823,\n \"hasParentASIN\": true,\n \"hasReviews\": true,\n \"manufacturer\": [\n \"<string>\"\n ],\n \"model\": [\n \"<string>\"\n ],\n \"productType\": 2,\n \"rootCategory\": [\n 4503599627370495\n ],\n \"singleVariation\": true,\n \"size\": [\n \"<string>\"\n ],\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/keepa/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brand\": [\n \"<string>\"\n ],\n \"categories_exclude\": [\n 4503599627370495\n ],\n \"categories_include\": [\n 4503599627370495\n ],\n \"color\": [\n \"<string>\"\n ],\n \"current_AMAZON_gte\": 1073741823,\n \"current_AMAZON_lte\": 1073741823,\n \"current_COUNT_REVIEWS_gte\": 1073741823,\n \"current_COUNT_REVIEWS_lte\": 1073741823,\n \"current_NEW_gte\": 1073741823,\n \"current_NEW_lte\": 1073741823,\n \"current_RATING_gte\": 1073741823,\n \"current_RATING_lte\": 1073741823,\n \"current_SALES_gte\": 1073741823,\n \"current_SALES_lte\": 1073741823,\n \"hasParentASIN\": true,\n \"hasReviews\": true,\n \"manufacturer\": [\n \"<string>\"\n ],\n \"model\": [\n \"<string>\"\n ],\n \"productType\": 2,\n \"rootCategory\": [\n 4503599627370495\n ],\n \"singleVariation\": true,\n \"size\": [\n \"<string>\"\n ],\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"tokensConsumed": 1,
"asinList": [
"<string>"
],
"error": {},
"refillIn": 123,
"refillRate": 123,
"tokenFlowReduction": 123,
"tokensLeft": 123,
"totalResults": 1
}请求规范
- 方法与路径: POST /apis/v1/keepa/query
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/keepa/query - domain: query; 必填
- Runtime 事实版本: 0bc51a4801a2062613b38952cd78afdcee61c1d5eb0d536a8aa7e307f9bd9a12
{
"operationId": "post_keepa_apis_v1_keepa_query",
"method": "POST",
"path": "/apis/v1/keepa/query",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"in": "query",
"name": "domain",
"required": true,
"schema": {
"enum": [
"1",
"10",
"11",
"12",
"2",
"3",
"4",
"5",
"6",
"8",
"9"
],
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"additionalProperties": false,
"allOf": [
{
"anyOf": [
{
"properties": {
"brand": {}
},
"required": [
"brand"
]
},
{
"properties": {
"categories_exclude": {}
},
"required": [
"categories_exclude"
]
},
{
"properties": {
"categories_include": {}
},
"required": [
"categories_include"
]
},
{
"properties": {
"color": {}
},
"required": [
"color"
]
},
{
"properties": {
"current_AMAZON_gte": {}
},
"required": [
"current_AMAZON_gte"
]
},
{
"properties": {
"current_AMAZON_lte": {}
},
"required": [
"current_AMAZON_lte"
]
},
{
"properties": {
"current_COUNT_REVIEWS_gte": {}
},
"required": [
"current_COUNT_REVIEWS_gte"
]
},
{
"properties": {
"current_COUNT_REVIEWS_lte": {}
},
"required": [
"current_COUNT_REVIEWS_lte"
]
},
{
"properties": {
"current_NEW_gte": {}
},
"required": [
"current_NEW_gte"
]
},
{
"properties": {
"current_NEW_lte": {}
},
"required": [
"current_NEW_lte"
]
},
{
"properties": {
"current_RATING_gte": {}
},
"required": [
"current_RATING_gte"
]
},
{
"properties": {
"current_RATING_lte": {}
},
"required": [
"current_RATING_lte"
]
},
{
"properties": {
"current_SALES_gte": {}
},
"required": [
"current_SALES_gte"
]
},
{
"properties": {
"current_SALES_lte": {}
},
"required": [
"current_SALES_lte"
]
},
{
"properties": {
"hasParentASIN": {}
},
"required": [
"hasParentASIN"
]
},
{
"properties": {
"hasReviews": {}
},
"required": [
"hasReviews"
]
},
{
"properties": {
"manufacturer": {}
},
"required": [
"manufacturer"
]
},
{
"properties": {
"model": {}
},
"required": [
"model"
]
},
{
"properties": {
"productType": {}
},
"required": [
"productType"
]
},
{
"properties": {
"rootCategory": {}
},
"required": [
"rootCategory"
]
},
{
"properties": {
"singleVariation": {}
},
"required": [
"singleVariation"
]
},
{
"properties": {
"size": {}
},
"required": [
"size"
]
},
{
"properties": {
"title": {}
},
"required": [
"title"
]
}
]
}
],
"properties": {
"brand": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"categories_exclude": {
"items": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"categories_include": {
"items": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"color": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"current_AMAZON_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_AMAZON_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_COUNT_REVIEWS_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_COUNT_REVIEWS_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_NEW_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_NEW_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_RATING_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_RATING_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_SALES_gte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"current_SALES_lte": {
"maximum": 2147483647,
"minimum": 0,
"type": "integer"
},
"hasParentASIN": {
"type": "boolean"
},
"hasReviews": {
"type": "boolean"
},
"manufacturer": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"model": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"page": {
"default": 0,
"maximum": 199,
"minimum": 0,
"type": "integer"
},
"perPage": {
"default": 50,
"maximum": 10000,
"minimum": 50,
"type": "integer"
},
"productType": {
"maximum": 5,
"minimum": 0,
"type": "integer"
},
"rootCategory": {
"items": {
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"singleVariation": {
"type": "boolean"
},
"size": {
"items": {
"maxLength": 500,
"minLength": 1,
"type": "string"
},
"maxItems": 50,
"minItems": 1,
"type": "array"
},
"sort": {
"items": {
"items": {
"maxLength": 100,
"minLength": 1,
"type": "string"
},
"maxItems": 2,
"minItems": 2,
"type": "array"
},
"maxItems": 3,
"minItems": 1,
"type": "array"
},
"title": {
"maxLength": 500,
"type": "string"
}
},
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按实际用量收费。 当前暂无预估金额。 账户适用价格可能不同;支持报价的接口可按实际请求获取报价。授权
请求体
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23